package com.steering.pss.qcm;

import CoreFS.SA06.CoreReturnObject;
import com.steering.comm.db.DBCommon;
import com.steering.comm.tools.SqlBuilder;

public class MscChoicePopup extends DBCommon{

	/**
	 * 获取可选MSC
	 * @param stdCode
	 * @param steelCode
	 * @return
	 */
	public CoreReturnObject getChoiceMsc(String stdCode, String steelCode){
		SqlBuilder b = new SqlBuilder("MscChoicePopup.getChoiceMsc");
		b.Fill(new String[]{ stdCode, steelCode });
		return this.getData(b.toString());
	}
	
	/**
	 * 更新冶金规范集合
	 * @param mscSet
	 * @param mscDescSet
	 * @param msc
	 * @param pscBl
	 * @return
	 */
	public CoreReturnObject updateMscSet(String mscSet, String mscDescSet,
			String msc, String pscBl){
		SqlBuilder b = new SqlBuilder("MscChoicePopup.updateMscSet");
		b.Fill(new String[]{ mscSet, mscDescSet, msc, pscBl });
		
		return this.setData(b.toString());
	}
}
